import Vue from 'vue';
import App from './App.vue';
import { Meteor } from 'meteor/meteor';
import vuetify from './plugins/vuetify';
import VueMeteorTracker from 'vue-meteor-tracker';
Vue.use(VueMeteorTracker);

import VueRouter from 'vue-router';
Vue.use(VueRouter);

import { Plugin } from 'vue-fragment'
Vue.use(Plugin);


import AsyncComputed from 'vue-async-computed';
Vue.use(AsyncComputed);

import routes from './plugins/routes';
const router = new VueRouter({
    mode: 'history',
    routes
});

import { store } from './store/store';

import i18n from './plugins/i18n';


Meteor.startup(() => {
    new Vue({
        i18n,
        router,
        vuetify,
        store,
        el: "#app",
        render: h => h(App)
    });
});